Subject: bug#51259: Cannot build Guix from source (error messages about the translations)

From: Raphaël Mélotte <[email-masked]>
Date: Tue, 19 Oct 2021 12:29:47 +0200

On 10/19/21 11:59 AM, Simon Streit wrote:
> Extending my previous message:
> 
> I first thought that it had to do with commit
> 15c91189cb61c579f4289047c79530cefe75215f, but it turns out that commit
> 0623138ffa5b066afc25547ffdeb97753cb0ee9a creates these errors.
> 
> Commit d1b375402f5680b1e5a77dd1fb77e1e9d94625d1 is okay.
Building on Debian 10, I was about to report the same.
 From a git bisect I got:
"0623138ffa5b066afc25547ffdeb97753cb0ee9a is the first bad commit".

I can confirm that in the meantime, compiling with $LC_ALL set manually (to the 
value of $LANG outside the environment) also worked for me:
---
guix environment guix --pure --ad-hoc help2man git strace bash -- sh -c "export 
LC_ALL=$LANG && ./bootstrap && ./configure --localstatedir=/var && make
---

Kind regards,

Raphaël